Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/pulseaudio: upgrade to 8.0

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Mon, 25 Jan 2016 02:00:30 +0200

- add bash to makedepends
- remove unnneded musl-fixes.patch
- bash-completion and zsh-completion moved to subpackages
- system startup init script and related system-wide configs are moved to -system subpackage
- /usr/bin/esdcompat moved to -utils
---
 testing/pulseaudio/APKBUILD         | 51 +++++++++++++++++++++++++++----------
 testing/pulseaudio/musl-fixes.patch | 48 ----------------------------------
 2 files changed, 37 insertions(+), 62 deletions(-)
 delete mode 100644 testing/pulseaudio/musl-fixes.patch
diff --git a/testing/pulseaudio/APKBUILD b/testing/pulseaudio/APKBUILD
index f38f4e7..8885170 100644
--- a/testing/pulseaudio/APKBUILD
+++ b/testing/pulseaudio/APKBUILD
_at_@ -2,7 +2,7 @@
 # Contributor: Carlo Landmeter <clandmeter_at_gmail.com>
 # Maintainer:
 pkgname=pulseaudio
-pkgver=7.1
+pkgver=8.0
 pkgrel=0
 pkgdesc="A featureful, general-purpose sound server"
 url="http://www.freedesktop.org/wiki/Software/PulseAudio"
_at_@ -11,13 +11,13 @@ license="LGPL"
 depends=""
 depends_dev="libcap-dev json-c-dev libsndfile-dev dbus-dev alsa-lib-dev tdb-dev
 	speexdsp-dev sbc-dev bluez-dev jack-dev avahi-dev openssl-dev eudev-dev"
-makedepends="$depends_dev automake autoconf m4 intltool libtool"
+makedepends="$depends_dev automake autoconf m4 intltool libtool bash"
 install=""
 subpackages="$pkgname-dev $pkgname-doc $pkgname-libs $pkgname-bluez
-	$pkgname-alsa $pkgname-utils $pkgname-jack $pkgname-zeroconf"
+	$pkgname-alsa $pkgname-utils $pkgname-jack $pkgname-zeroconf $pkgname-system
+	$pkgname-bash-completion:bashcomp $pkgname-zsh-completion:zshcomp"
 source="http://freedesktop.org/software/pulseaudio/releases/pulseaudio-$pkgver.tar.xz
 	0001-padsp-Make-it-compile-on-musl.patch
-	musl-fixes.patch
 	$pkgname.initd
 	$pkgname.confd"
 
_at_@ -50,10 +50,17 @@ build() {
 package() {
 	cd "$_builddir"
 	make -j1 DESTDIR="$pkgdir" install || return 1
-        install -D -m755 "$srcdir"/$pkgname.initd \
-                "$pkgdir"/etc/init.d/$pkgname || return 1
-        install -D -m644 "$srcdir"/$pkgname.confd \
-                "$pkgdir"/etc/conf.d/$pkgname || return 1	
+}
+
+system() {
+	arch="noarch"
+	depends="$pkgname"
+	pkgdesc="Pulseaudio system-wide init scripts"
+	install -D -m755 "$srcdir"/$pkgname.initd \
+		"$subpkgdir"/etc/init.d/$pkgname || return 1
+	install -D -m644 "$srcdir"/$pkgname.confd \
+		"$subpkgdir"/etc/conf.d/$pkgname || return 1
+	mv "$pkgdir"/etc/dbus-1 "$subpkgdir"/etc
 }
 
 libs() {
_at_@ -88,6 +95,7 @@ utils() {
 	pkgdesc="Pulseaudio utilities"
 	mkdir -p "$subpkgdir"/usr/bin
 	mv "$pkgdir"/usr/bin/pa* \
+		"$pkgdir"/usr/bin/esdcompat \
 		"$subpkgdir"/usr/bin/ || return 1
 }
 
_at_@ -107,18 +115,33 @@ zeroconf() {
 		"$subpkgdir"/usr/lib/pulse-$pkgver/modules/ || return 1
 }
 
-md5sums="9d0a9817b632cac8e3f3834d7eb1c99d  pulseaudio-7.1.tar.xz
+bashcomp() {
+	pkgdesc="Bash completion for $pkgname"
+	arch="noarch"
+	depends=""
+	install_if="$pkgname=$pkgver-r$pkgrel bash-completion"
+	install -dm755 "$subpkgdir"/usr/share || return 1
+	mv "$pkgdir"/usr/share/bash-completion "$subpkgdir"/usr/share
+}
+
+zshcomp() {
+	pkgdesc="Zsh completion for $pkgname"
+	arch="noarch"
+	depends=""
+	install_if="$pkgname=$pkgver-r$pkgrel zsh"
+	install -dm755 "$subpkgdir"/usr/share || return 1
+	mv "$pkgdir"/usr/share/zsh "$subpkgdir"/usr/share
+}
+
+md5sums="8678442ba0bb4b4c33ac6f62542962df  pulseaudio-8.0.tar.xz
 be814e7c1f53062f1a506c71a97dd6cb  0001-padsp-Make-it-compile-on-musl.patch
-759d77a03f09085bc3e35ef57da8ae5e  musl-fixes.patch
 884cb9a843361844904e8c85542e72fb  pulseaudio.initd
 bf7487ba2c48fc8a56bca41c97a18934  pulseaudio.confd"
-sha256sums="e667514a28328f92aceea754a224a0150dddfe7e9a71b4c6d31489220153b9d9  pulseaudio-7.1.tar.xz
+sha256sums="690eefe28633466cfd1ab9d85ebfa9376f6b622deec6bfee5091ac9737cd1989  pulseaudio-8.0.tar.xz
 1c0ffd3a95b4bc65b97bd8bc6cca0fce386cecf2807e96ddd146521b47003004  0001-padsp-Make-it-compile-on-musl.patch
-02b5102cb21ed82ab2bfb4ec2875b5e00a28a8e684fd90ad117fc561bff23719  musl-fixes.patch
 bbd37d052962ddbf6ae633e4e3896da292d3e916a9123558a9b973096dda842d  pulseaudio.initd
 c03661e8cc902d27ff6b52f291207f2b008957571b942abdd92a873a52aae0dd  pulseaudio.confd"
-sha512sums="21f621bd76268b9dd6e5be2231b0e779a8e0cfdece44c46c8ac96a4e1d4df52fe5b9791ef95a0909a3c177bbfa5eab7d52fed9b43362840a9c8a6001e821175e  pulseaudio-7.1.tar.xz
+sha512sums="7008abf768f720839353038ffd3e35e442f82452aa7e27d446f75d403096b042643d2b2b1d153454302bd5a51f9217f4979c8995b80ba2695f141e6a29e164fa  pulseaudio-8.0.tar.xz
 0542ade084625e278bf1efdf4a72ed282e4876e98a7358d3c2746659ac3cac4098850468447b6018413022ee7dc085ac2ef34cc661d88e1d150a920cfcf79620  0001-padsp-Make-it-compile-on-musl.patch
-4cd3b23b7b71135425d04bf53405a05825b616348e1468cb0f711299a2ec87aabc87721a1d8ca03c63e045879acea1b25d9f795a277dc72cd7031ad7b407e7e6  musl-fixes.patch
 34fe54ece5df60ce63a7955cd828a2716670fef71f40960698ae5518fdaf9cd599f4d8f8852e2c88d715600a9ad06a38984415e5eb320071012e5eb6e5c1b8b1  pulseaudio.initd
 75b54581591519d63a3362b155c0f9b0501a60763ab394693a456c44d0216138cf3a40bdd0f7442028663bc045e9ffee286f8f8eaf2ee3bb17379b43615fee0e  pulseaudio.confd"
diff --git a/testing/pulseaudio/musl-fixes.patch b/testing/pulseaudio/musl-fixes.patch
deleted file mode 100644
index db5ed86..0000000
--- a/testing/pulseaudio/musl-fixes.patch
+++ /dev/null
_at_@ -1,48 +0,0 @@
-Portability fixes for musl taken from voidlinux:
-
-- _WORDIZE is declared in <bits/user.h> via <sys/user.h>.
-- <xlocale.h> does not exist, check for it correctly.
-
-	--xtraeme
-
---- configure.ac.orig	2015-09-24 11:36:06.107661526 +0200
-+++ configure.ac	2015-09-24 11:36:40.420036775 +0200
-_at_@ -407,7 +407,7 @@ AC_HEADER_STDC
- # POSIX
- AC_CHECK_HEADERS_ONCE([arpa/inet.h glob.h grp.h netdb.h netinet/in.h \
-     netinet/in_systm.h netinet/tcp.h poll.h pwd.h sched.h \
--    sys/mman.h sys/select.h sys/socket.h sys/wait.h \
-+    sys/mman.h sys/select.h sys/socket.h sys/wait.h sys/user.h xlocale.h \
-     sys/uio.h syslog.h sys/dl.h dlfcn.h linux/sockios.h])
- AC_CHECK_HEADERS([netinet/ip.h], [], [],
-                  [#include <sys/types.h>
---- src/pulsecore/sample-util.h.orig	2015-09-24 11:37:57.773677238 +0200
-+++ src/pulsecore/sample-util.h	2015-09-24 11:38:46.668208677 +0200
-_at_@ -24,6 +24,14 @@
- #include <inttypes.h>
- #include <limits.h>
- 
-+#ifdef HAVE_CONFIG_H
-+#include <config.h>
-+#endif
-+
-+#ifdef HAVE_SYS_USER_H
-+#include <sys/user.h>	/* required by _WORDIZE with musl */
-+#endif
-+
- #include <pulse/gccmacro.h>
- #include <pulse/sample.h>
- #include <pulse/volume.h>
---- src/pulsecore/core-util.c.orig	2015-09-24 11:45:57.919919956 +0200
-+++ src/pulsecore/core-util.c	2015-09-24 11:46:23.343196284 +0200
-_at_@ -54,7 +54,9 @@
- 
- #ifdef HAVE_STRTOD_L
- #include <locale.h>
--#include <xlocale.h>
-+# ifdef HAVE_XLOCALE_H
-+#  include <xlocale.h>
-+# endif
- #endif
- 
- #ifdef HAVE_SCHED_H
-- 
2.7.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Jan 25 2016 - 02:00:30 GMT